play.classloading.enhancers

## Class ControllersEnhancer.ControllerInstrumentation

- java.lang.Object
- - play.classloading.enhancers.ControllersEnhancer.ControllerInstrumentation

- Enclosing class:
    ControllersEnhancer

      public static class ControllersEnhancer.ControllerInstrumentation
      extends java.lang.Object

  Runtime part needed by the instrumentation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControllerInstrumentation()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `initActionCall()`
    `static boolean` | `isActionCallAllowed()`
    `static void` | `stopActionCall()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControllerInstrumentation

          public ControllerInstrumentation()

  - ### Method Detail

    - #### isActionCallAllowed

          public static boolean isActionCallAllowed()

    - #### initActionCall

          public static void initActionCall()

    - #### stopActionCall

          public static void stopActionCall()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly